@echo off
title UWP アプリケーションのインストール

cd /d "%~dp0"

set UWPApp=Intel Optane Memory and Storage Management
set logfile=c:\windows\temp\result_IOSM.txt

echo.
echo %UWPApp% のインストール中...
echo.

dism /online /add-provisionedappxpackage /packagepath:e6b95f4d4db74716b1e597c8dad7a73b.appxbundle /licensepath:e6b95f4d4db74716b1e597c8dad7a73b_License1.xml /dependencypackagepath:Dependency\Microsoft.VCLibs.140.00.UWPDesktop_14.0.32530.0_x64__8wekyb3d8bbwe.appx /region=ALL > %logfile%

if %errorlevel% NEQ 0 goto error
goto end



:error
@echo off
color 47
echo. 
echo  *******************************************************
echo  *                                                     *
echo  *                                                     *
echo  *                                                     *
echo     %UWPApp% のインストールに失敗しました ！
echo  *                                                     *
echo  *                                                     *
echo  *                                                     *
echo  *******************************************************
echo.
del %logfile%
pause
exit


:end
cls
color 17
echo %UWPApp% のインストール結果
echo.
type %logfile%
echo.
echo  インストールが完了しました。
echo.
echo  5秒後に自動的に終了します。
echo.
timeout /t 5 /nobreak>nul
